// Font families
$ff-system: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
sans-serif;
$ff-code: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
monospace;

// Font sizing
$font-size-base: 1rem;
$font-size-small: 0.875rem;
$font-size-xsmall: 0.75rem;
$font-size-large: 1.25rem;
$font-size-xlarge: 1.5rem;
$font-size-xxlarge: 2rem;

// Sizing
$sizing-md: 700px;

// Spacing
$spacing-xsmall: 5px;
$spacing-small: 10px;
$spacing-medium: 20px;
$spacing-large: 30px;
$spacing-xlarge: 40px;
$spacing-xxlarge: 50px;
$spacing-xxxlarge: 60px;

// Base Colors
$neutral-base-color: #808080;
$purple-base-color: #483d8b;

// Color variants
//
// Neutral
$neutral-50: lighten($neutral-base-color, 50);
$neutral-100: lighten($neutral-base-color, 40);
$neutral-200: lighten($neutral-base-color, 30);
$neutral-300: lighten($neutral-base-color, 20);
$neutral-400: lighten($neutral-base-color, 10);
$neutral-500: $neutral-base-color;
$neutral-600: darken($neutral-base-color, 10);
$neutral-700: darken($neutral-base-color, 20);
$neutral-800: darken($neutral-base-color, 30);
$neutral-900: darken($neutral-base-color, 40);
// Purple
$purple-50: lighten($purple-base-color, 50);
$purple-100: lighten($purple-base-color, 40);
$purple-200: lighten($purple-base-color, 30);
$purple-300: lighten($purple-base-color, 20);
$purple-400: lighten($purple-base-color, 10);
$purple-500: $purple-base-color;
$purple-600: darken($purple-base-color, 10);
$purple-700: darken($purple-base-color, 20);
$purple-800: darken($purple-base-color, 30);
$purple-900: darken($purple-base-color, 40);